Bug 713784 - java plugin doesn't work with iLO2 virtual console
java plugin doesn't work with iLO2 virtual console
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: java-1.6.0-openjdk (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: jiri vanek
BaseOS QE - Apps
:
Depends On:
Blocks: 835616
  Show dependency treegraph
 
Reported: 2011-06-16 10:38 EDT by David Juran
Modified: 2014-06-19 09:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 15:41:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
debug output from firefox (13.63 KB, text/plain)
2011-06-16 10:39 EDT, David Juran
no flags Details
java.stderr (17.08 KB, text/plain)
2011-06-17 01:57 EDT, David Juran
no flags Details

  None (edit)
Description David Juran 2011-06-16 10:38:48 EDT
Description of problem:
The OpenJDK java plugin doesn't work with the iLO2 virtual console commonly present on HP servers. All I get is a grey window with a text in the bar "Start: applet not initialized"

Attached is the output of firefox when started with ICEDTEAPLUGIN_DEBUG=true

Worth mentioning is that iLO3 virtual console works fine

Version-Release number of selected component (if applicable):
icedtea-web-1.0.2-3.el6.i686
java-1.6.0-openjdk-1.6.0.0-1.39.1.9.8.el6_1.i686
iLO2 firmware version 2.05   12/16/2010

How reproducible:
Every time

Steps to Reproduce:
1. try to open the virtual iLO2 virtual console
Comment 1 David Juran 2011-06-16 10:39:43 EDT
Created attachment 505059 [details]
debug output from firefox
Comment 3 Deepak Bhole 2011-06-16 12:14:23 EDT
Can you please also attach the ~/.icedtea/log/java.std* files that result from running with ICEDTEAPLUGIN_DEBUG=true ?
Comment 4 David Juran 2011-06-17 01:57:05 EDT
Created attachment 505185 [details]
java.stderr

java.stdout is an empty file
Comment 5 Deepak Bhole 2011-06-17 09:29:05 EDT
Would it be possible for me to access the iLO2 console by any chance?
Comment 6 David Juran 2011-06-20 04:51:22 EDT
As discussed with Deepak, I've tried with F15 (firefox-4.0.1-2.f15, icedtea-web-1.0.3-1 and java-1.6.0-openjdk-1.6.0.0-58.1.10.2) and the remote console works fine.
Comment 11 RHEL Product and Program Management 2012-05-03 00:56:52 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 13 Martin Stransky 2012-08-01 10:02:57 EDT
Can you test with latest firefox? (10.0.6).
Comment 14 David Juran 2012-08-14 06:11:28 EDT
With latest firefox on RHEL6 (firefox-10.0.6-1.el6.3, icedtea-web-1.2.1-1.el6_3 and java-1.6.0-openjdk-1.6.0.0-1.48.1.11.3.el6_2), the error looks different, but it still doesn't work.
Attaching java.std{err,out}

From a windows-machine on the same network, with internet explorer and java-6 (Oracle verision) it works fine.
Comment 16 Martin Stransky 2012-08-14 10:53:38 EDT
Looks like a Java issue to me.
Comment 18 RHEL Product and Program Management 2012-09-07 01:22:26 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 20 Deepak Bhole 2013-06-03 10:08:43 EDT
Should be fixed already, but re-assigning to Jiri to keep track.
Comment 21 jiri vanek 2013-06-04 05:00:08 EDT
(In reply to David Juran from comment #0)
> Description of problem:
> The OpenJDK java plugin doesn't work with the iLO2 virtual console commonly
> present on HP servers. All I get is a grey window with a text in the bar
> "Start: applet not initialized"
> 
> Attached is the output of firefox when started with ICEDTEAPLUGIN_DEBUG=true
> 
> Worth mentioning is that iLO3 virtual console works fine
> 
> Version-Release number of selected component (if applicable):
> icedtea-web-1.0.2-3.el6.i686
> java-1.6.0-openjdk-1.6.0.0-1.39.1.9.8.el6_1.i686
> iLO2 firmware version 2.05   12/16/2010
> 
> How reproducible:
> Every time
> 
> Steps to Reproduce:
> 1. try to open the virtual iLO2 virtual console

Hi! can you please allow me acces to some of this machines? I will double check with current and future versions of firefox/icedtea-web
Comment 22 Deepak Bhole 2013-12-18 15:41:52 EST
Closing due to inactivity and lack of information. Please feel free to re-open.
Comment 23 David Juran 2014-06-19 09:21:13 EDT
Unfortunately I don't have access to this hardware any more.

Note You need to log in before you can comment on or make changes to this bug.